/*
	Command server

	Copyright Jeroen Vreeken (jeroen@vreeken.net), 2013
	Copyright Stichting C.A. Muller Radioastronomiestation, 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef _INCLUDE_COMMAND_SERVER_
#define _INCLUDE_COMMAND_SERVER_

#include <sys/select.h>

struct command_server;

struct command_server *command_server_create(int port, int local, int backlog);
void command_server_destroy(struct command_server *srv);

int command_server_handler_set(struct command_server *srv, 
    int (*func)(char *name, char *value));
int command_server_handler_raw_set(struct command_server *srv, 
    int (*func)(char *command));

int command_server_fdset_add(struct command_server *srv, fd_set *set, int *high);
int command_server_fdset_handle(struct command_server *srv, fd_set *set);

#endif /* _INCLUDE_COMMAND_SERVER_ */
