#include "location.h"

#include <stdlib.h>
#include <string.h>

struct location {
	double lat_deg;
	double lat_min;
	double lat_sec;
	double lon_deg;
	double lon_min;
	double lon_sec;
	double altitude;
};

static struct location location_Dwingeloo = {
	lon_deg: 6.0,
	lon_min: 23.0,
	lon_sec: 46.21,

	lat_deg: 52.0,
	lat_min: 48.0,
	lat_sec: 43.27,
	
	altitude: 25,
};

struct location *location_create(const char *location){
	if (strcmp(location, "Dwingeloo"))
		return NULL;
	
	return &location_Dwingeloo;
}

/* get value in degrees */
double location_get_latitude(struct location *location)
{
	return location->lat_deg + location->lat_min/60.0 + location->lat_sec/3600.0;
}

double location_get_longitude(struct location *location)
{
	return location->lon_deg + location->lon_min/60.0 + location->lon_sec/3600.0;
}

double location_get_altitude(struct location *location)
{
	return location->altitude;
}

/* get split value */
int location_get_split_latitude(struct location *location, double *degrees, double *minutes, double *seconds)
{
	*degrees = location->lat_deg;
	*minutes = location->lat_min;
	*seconds = location->lat_sec;

	return 0;
}

int location_get_split_longitude(struct location *location, double *degrees, double *minutes, double *seconds)
{
	*degrees = location->lon_deg;
	*minutes = location->lon_min;
	*seconds = location->lon_sec;

	return 0;
}


