/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2009
	Copyright Stichting C.A. Muller Radioastronomiestation, 2009

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <errno.h>
#include <signal.h>
#include <time.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <utils/tcp_connect.h>

char *host = "localhost";
int port = 10001;

char *logfile = "trace.log";
int fd_log = -1;

int main (int argc, char **argv)
{
	int fd;
	int r;
	char buf[10];
	char linebuf[1000];
	char outbuf[1000];
	int linepos;
	char *az_pos = "Azimuth_Position";
	char *el_pos = "Elevation_Position";
	char *el_tor = "Elevation_Torsion";
	
	
	while (1) {
		fd = tcp_connect(host, port);
	
		write(fd, az_pos, strlen(az_pos)+1);
		write(fd, el_pos, strlen(el_pos)+1);
		write(fd, el_tor, strlen(el_tor)+1);
	
		write(fd, &(char){ 0 }, 1);

		ioctl(fd, FIONBIO, &(int){ 0 });

		linepos = 0;
		while ((r = read(fd, buf, 1) > 0) && linepos < 900) {
			linebuf[linepos] = buf[0];
			linepos++;
		}
		linebuf[linepos] = 0;

		if (fd_log < 0) {
			fd_log = open(logfile, 
			    O_WRONLY | O_APPEND | O_CREAT,
			    S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP | S_IROTH);
			if (fd_log < 0)
				return -1;
		}

		sprintf(outbuf, "%lld %s", (long long)time(NULL), linebuf);
		write(fd_log, outbuf, strlen(outbuf));

		close(fd);
			
		sleep(1);
	}
		
	return 0;
}
