/* 
	Javascript for tracker authorization 

	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2014
	Copyright Stichting C.A. Muller Radioastronomiestation, 2014

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */


var authorization_loaded;
if (!authorization_loaded) {
authorization_loaded = true;

eval(load("dt_ui.js"));
eval(load("status.js"));
eval(load("dt_websocket.js"));

function authorization_tracker(name, ui_element, ind_element)
{
	this.name = name;
	this.ui_element = ui_element;
	this.ind_element = ind_element;
}

function authorization(element_name) {
	var authorization_this = this;

	this.window = new dt_ui_window(element_name);
	
	this.window.title_set("Authorization");

	this.lbl_auth = new dt_ui_element(element_name + "_lbl_auth");
	this.val_auth = new dt_ui_value(element_name + "_val_auth");
	this.button_idle = new dt_ui_button_indicator(element_name + "_idle");
	this.button_azel = new dt_ui_button_indicator(element_name + "_azel");
	this.button_j2000 = new dt_ui_button_indicator(element_name + "_j2000");
	this.button_moon = new dt_ui_button_indicator(element_name + "_moon");
	this.button_sun = new dt_ui_button_indicator(element_name + "_sun");
	this.button_sat = new dt_ui_button_indicator(element_name + "_sat");
	this.button_man = new dt_ui_button_indicator(element_name + "_man");

	this.window.add(
	    [this.lbl_auth, this.val_auth,
	     this.button_idle, this.button_azel, this.button_j2000,
	     this.button_moon, this.button_sun, this.button_sat,
	     this.button_man]);

	this.lbl_auth.text_set("Authorized:");
	this.val_auth.value_set("??");
	this.val_auth.width_set(300);

	this.button_idle.text_set("Idle");
	this.button_azel.text_set("Azimuth & Elevation");
	this.button_j2000.text_set("J2000");
	this.button_moon.text_set("Moon");
	this.button_sun.text_set("Sun");
	this.button_sat.text_set("Satellite");
	this.button_man.text_set("Manual");

	this.window.align_horizontal(
	    [this.lbl_auth, this.val_auth, this.button_idle ], 20);
	this.window.align_horizontal(
	    [this.button_idle, this.button_azel, this.button_j2000,
	     this.button_moon, this.button_sun, this.button_sat,
	     this.button_man], 5);

	
	this.trackers = new Array();
	this.trackers[0] = new authorization_tracker(
	    "console/idle", null, this.button_idle);
	this.trackers[1] = new authorization_tracker(
	    "console/azel", null, this.button_azel);
	this.trackers[2] = new authorization_tracker(
	    "console/j2000tracker", null, this.button_j2000);
	this.trackers[3] = new authorization_tracker(
	    "console/moontracker", null, this.button_moon);
	this.trackers[4] = new authorization_tracker(
	    "console/suntracker", null, this.button_sun);
	this.trackers[5] = new authorization_tracker(
	    "console/sattracker", null, this.button_sat);
	this.trackers[6] = new authorization_tracker(
	    "console/manual", null, this.button_man);
	

	this.tracker_window_set = function(name, ui_elem)
	{
		var i;
		
		for (i = 0; i < authorization_this.trackers.length; i++) {
			var tracker = authorization_this.trackers[i];
			
			if (tracker.name == name) {
				authorization_this.trackers[i].ui_element = ui_elem;
			}
		}
	}

	this.cur_auth = "??";
	
	this.offset_cb = function(azoff, eloff) {}
	
	this.status = new status("dummy_url_auth", "auth");
	this.status.callback = function(stat)
	{
		var args = stat.split(" ");
		var spg = args[0];
		
		if (spg != authorization_this.cur_auth) {
			authorization_this.cur_auth = spg;
			authorization_this.val_auth.value_set(spg);
			var i;
			
			for (i = 0; i < authorization_this.trackers.length; i++) {
				var tracker = authorization_this.trackers[i];
				
				if (tracker.name == spg) {
					tracker.ind_element.color_set(
					    dt_ui_color_indicator_green);
					if (tracker.ui_element != null) {
						tracker.ui_element.visible_set(true);
					}
				} else {
					tracker.ind_element.color_set(
					    dt_ui_color_indicator_off);
					if (tracker.ui_element != null) {
						tracker.ui_element.visible_set(false);
					}
				}
			}
		}
		
		authorization_this.offset_cb(args[1], args[2]);
	}

	this.idle = function() {
		dt_websocket_send("command auth " + "console/idle");
	}

	this.button_idle.onclick = function() {
		dt_websocket_send("command auth " + "console/idle");
	}
	this.button_azel.onclick = function() {
		dt_websocket_send("command auth " + "console/azel");
	}
	this.button_j2000.onclick = function() {
		dt_websocket_send("command auth " + "console/j2000tracker");
	}
	this.button_moon.onclick = function() {
		dt_websocket_send("command auth " + "console/moontracker");
	}
	this.button_sun.onclick = function() {
		dt_websocket_send("command auth " + "console/suntracker");
	}
	this.button_sat.onclick = function() {
		dt_websocket_send("command auth " + "console/sattracker");
	}
	this.button_man.onclick = function() {
		dt_websocket_send("command auth " + "console/manual");
	}
	
	this.status.open();
}

} /* authorization_loaded */
