/* 
	Javascript for parsing status over XMLHttp 

	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2008, 2009, 2011, 2013
	Copyright Stichting C.A. Muller Radioastronomiestation, 2008, 2009, 2011, 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

var status_loaded;
if (!status_loaded) {
status_loaded = true;

eval(load("dt_websocket.js"));

var status_connected;

var status_priv_list = new Array();


function status_onopen(obj)
{
	for (i = 0; i < status_priv_list.length; i++) {
		dt_websocket_send("status " +
		    status_priv_list[i].ident);
	}
	status_connected = true;
}

dt_websocket_onopen_add("status", status_onopen, null);

function status_onmessage(obj, args)
{
	for (i = 0; i < status_priv_list.length; i++) {
		if (status_priv_list[i].ident == args[1]) {
			if (status_priv_list[i].callback)
				status_priv_list[i].callback(args.slice(2).join(" "));
			if (status_priv_list[i].callback_keyvalue) {
				var pairlist;
				var j;
				
				pairlist = args.slice(2).join(" ").split(',');
				for (j = 0; j < pairlist.length; j++) {
					pairlist[j] = pairlist[j].split('=');
				}
				
				status_priv_list[i].callback_keyvalue(pairlist);
			}
			break;
		}
	}
}

dt_websocket_onmessage_add("status", status_onmessage, null);


function status(url, ident)
{
	var realthis = this;

	this.ident = ident;
	
	this.callback = null;
	this.callback_keyvalue = null;

	this.nr = -1;

	this.open = function status_open() {
		if (realthis.nr < 0) {
			realthis.nr = status_priv_list.length;
			status_priv_list[realthis.nr] = realthis;
		}

		if (status_connected) {
			dt_websocket_send("status " +
			    realthis.ident);
		}
	}
}

} /* status_loaded */
