/* 
	Javascript for receiving traces over websocket

	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
var trace_loaded;
if (!trace_loaded) {
trace_loaded = true;


eval(load("dt_websocket.js"));

var trace_connected;

function trace_cb_default (obj, time, value, unit)
{
	/* default callback */
}

function trace_timeout_cb_default (obj)
{
	/* default callback */
}

var trace_priv_list = new Array();
var trace_priv_nr = 0;
var trace_priv_url;
var trace_priv_xrequest;
var trace_priv_xrequest_prev = 0;
var trace_priv_timeout = 10000;
var trace_priv_data_wd = 0;
var trace_priv_traceurl = "";
var trace_priv_freq = 1;
var trace_priv_waittime = 1000;

function trace_onopen(obj)
{
	for (i = 0; i < trace_priv_nr; i++) {
		dt_websocket_send("trace " + 
		    trace_priv_list[i].freq + 
		    " " +
		    trace_priv_list[i].tracename);
	}
	trace_connected = true;
}

dt_websocket_onopen_add("trace", trace_onopen, null);

function trace_onmessage(obj, args)
{
	for (i = 0; i < trace_priv_nr; i++) {
		if (trace_priv_list[i].tracename == args[1]) {
			trace_priv_list[i].callback(
			    trace_priv_list[i],
			    args[2],
			    args[3],
			    "");
			    return;
		}
	}
	alert("No trace for '" + msg.data + "' found");
}

dt_websocket_onmessage_add("trace", trace_onmessage, null);



function trace ()
{
	var trace_this = this;

	/* Callbacks */
	this.callback = trace_cb_default;
	this.timeout_callback = trace_timeout_cb_default;

	this.url = "?";
	this.tracename = "none";
	this.freq;
	
	this.nr = -1;
	this.private;

	this.open = function trace_open(url, tracename, freq)
	{
		if (trace_this.nr < 0) {
			trace_this.nr = trace_priv_nr;
			trace_priv_nr++;
			trace_priv_list[trace_this.nr] = trace_this;
		}

		trace_this.tracename = tracename;
		trace_this.freq = freq;

		if (trace_connected) {
			dt_websocket_send("trace " + 
			    freq + 
			    " " +
			    tracename);
		}
	}
}

} /* trace_loaded */
