/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2007
	Copyright Stichting C.A. Muller Radioastronomiestation, 2007

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <controller/controller_block.h>

/*
       inputs      
       nr name     

     ----------------
  ---| 0  in       |
     ----------------
 */

struct controller_block_private {
	float *in;
};

static void calculate(struct controller_block *debug)
{
	fprintf(stderr, "%s.in: %e\n", debug->name, *debug->private->in);
}

struct controller_block * block_debug_create(char *name)
{
	struct controller_block *debug;
	
	debug = malloc(sizeof(struct controller_block));
	if (!debug)
		return NULL;

	debug->private = malloc(sizeof(struct controller_block_private));
	if (!debug->private)
		goto err_debug;

	debug->type = "debug";
	debug->name = malloc(strlen(name)+1);
	if (!debug->name)
		goto err_debugpriv;
	strcpy(debug->name, name);

	debug->inputs = 1;
	debug->input = malloc(sizeof(struct controller_block_interm) * 1);
	if (!debug->input)
		goto err_name;
	debug->input[0].name = "in";
	debug->input[0].type = CONTROLLER_BLOCK_TERM_FLOAT;
	debug->input[0].value.f = &debug->private->in;
	debug->input[0].ghostof = NULL;
	
	debug->outputs = 0;
	debug->output = NULL;
	
	debug->calculate = calculate;
	debug->params = 0;
	debug->param = NULL;
	debug->param_get = NULL;
	debug->param_set = NULL;

	controller_block_add(debug);
	return debug;

err_name:
	free(debug->name);
err_debugpriv:
	free(debug->private);
err_debug:
	free(debug);
	return NULL;
}
