/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2013
	Copyright Stichting C.A. Muller Radioastronomiestation, 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_EC_ESC_DC_H_
#define _INCLUDE_EC_ESC_DC_H_

#include <unistd.h>

#include <ec/ec.h>

/* This module is used by devices (like stoeber) that don't use the 
   esc_device structure yet.
   This is why we use the direct address on our interface. Once all
   devices migrate to use the new esc_device functions this can change.
 */

struct esc_dc_sync {
	uint32_t sync0_cycle;
	int32_t sync0_shift;
	int32_t sync1_shift;
	bool sync_out_active;
	bool sync0_active;
	bool sync1_active;
	
	bool latch0_pdi;
	bool latch1_pdi;
};

int esc_dc_init(struct ec_dgram_addr *addr, struct esc_dc_sync *sync);

#endif /* _INCLUDE_EC_ESC_DC_H_ */
