/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2009, 2011, 2013
	Copyright Stichting C.A. Muller Radioastronomiestation, 2009, 2011

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_EC_ESC_ID_H_
#define _INCLUDE_EC_ESC_ID_H_

#include <ec/esc.h>

#define ESC_ESI_VENDORID_BECKHOFF	0x00000002
#define ESC_ESI_VENDORID_STOEBER	0x000000b9
#define ESC_ESI_VENDORID_BROM		0x0000075A

#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1002	0x03ea3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1004	0x03ec3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1008	0x03f03052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1012	0x03f43052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1014	0x03f63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1018	0x03fa3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1024	0x04003052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1034	0x040a3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1084	0x043c3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1088	0x04403052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1094	0x04463052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1098	0x044a3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1104	0x04503052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1114	0x045a3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1124	0x04643052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1134	0x046e3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1144	0x04783052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1202	0x04b23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1252	0x04e43052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1262	0x04ee3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1702	0x06a63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1712	0x06b03052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL1722	0x06ba3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2002	0x07d23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2004	0x07d43052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2008	0x07d83052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2022	0x07e63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2024	0x07e83052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2032	0x07f03052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2034	0x07f23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2042	0x07fa3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2084	0x08243052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2088	0x08283052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2124	0x084c3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2202	0x089a3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2252	0x08cc3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2262	0x08d63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2502	0x09c63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2602	0x0a2a3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2612	0x0a343052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2622	0x0a3e3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2624	0x0a403052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2712	0x0a983052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2722	0x0aa23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL2732	0x0aac3052

#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3001	0x0bb93052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3002	0x0bba3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3004	0x0bbc3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3008	0x0bc03052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3041	0x0be13052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3042	0x0be23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3044	0x0be43052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3048	0x0be83052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3051	0x0beb3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3052	0x0bec3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3054	0x0bee3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3058	0x0bf23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3061	0x0bf53052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3062	0x0bf63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3064	0x0bf83052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3068	0x0bfc3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3102	0x0c1e3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3112	0x0c283052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3122	0x0c323052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3124	0x0c343052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3142	0x0c463052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3152	0x0c503052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3162	0x0c5a3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3201	0x0c813052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3202	0x0c823052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3204	0x0c843052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3311	0x0cef3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3312	0x0cf03052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3314	0x0cf23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3351	0x0d173052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3403	0x0d4b3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3602	0x0e123052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL3612	0x0e1c3052

#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4001	0x0fa13052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4002	0x0fa23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4004	0x0fa43052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4008	0x0fa83052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4011	0x0fab3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4012	0x0fac3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4014	0x0fae3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4018	0x0fb23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4021	0x0fb53052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4022	0x0fb63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4024	0x0fb83052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4028	0x0fbc3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4031	0x0fbf3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4032	0x0fc03052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4034	0x0fc23052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4038	0x0fc63052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4102	0x10063052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4112	0x10103052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4114	0x10123052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4122	0x101a3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4132	0x10243052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL4134	0x10263052

#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL5001	0x13893052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL5101	0x13ed3052
#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL5151	0x141f3052

#define ESC_ESI_PRODUCTCODE_BECKHOFF_EL7031	0x1b773052

#define ESC_ESI_PRODUCTCODE_BECKHOFF_AX5203	0x14536012

#define ESC_ESI_PRODUCTCODE_STOEBER_XDS5000	0x00001388


struct esc_vendor {
	uint32_t vendorid;
	char *name;
};

#define esc_vendor_list_len (sizeof(esc_vendor_list)/sizeof(struct esc_vendor))

static struct esc_vendor __attribute__((unused)) esc_vendor_list[] = {
	{ ESC_ESI_VENDORID_BECKHOFF, "Beckhoff Automation GmbH" },
	{ ESC_ESI_VENDORID_STOEBER,  "STBER ANTRIEBSTECHNIK GmbH & Co. KG" },
	{ ESC_ESI_VENDORID_BROM,     "Brom Mechatronica B.V." },
};


struct esc_device_info {
	uint32_t vendorid;
	uint32_t productcode;
	char *name;
};

#define esc_device_list_len (sizeof(esc_device_list)/sizeof(struct esc_device_info))

static struct esc_device_info __attribute__((unused)) esc_device_list[] = {
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1002, "EL1002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1004, "EL1004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1008, "EL1008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1012, "EL1012" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1014, "EL1014" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1018, "EL1018" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1024, "EL1024" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1034, "EL1034" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1084, "EL1084" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1088, "EL1088" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1094, "EL1094" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1098, "EL1098" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1104, "EL1104" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1114, "EL1114" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1124, "EL1124" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1134, "EL1134" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1144, "EL1144" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1202, "EL1202" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1252, "EL1252" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1262, "EL1262" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1702, "EL1702" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1712, "EL1712" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1722, "EL1722" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2002, "EL2002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2004, "EL2004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2008, "EL2008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2022, "EL2022" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2024, "EL2024" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2032, "EL2032" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2034, "EL2034" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2042, "EL2042" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2084, "EL2084" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2088, "EL2088" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2124, "EL2124" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2202, "EL2202" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2252, "EL2252" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2262, "EL2262" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2502, "EL2502" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2602, "EL2602" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2612, "EL2612" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2622, "EL2622" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2624, "EL2624" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2712, "EL2712" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2722, "EL2722" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2732, "EL2732" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3001, "EL3001" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3002, "EL3002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3004, "EL3004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3008, "EL3008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3041, "EL3041" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3042, "EL3042" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3044, "EL3044" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3048, "EL3048" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3051, "EL3051" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3052, "EL3052" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3054, "EL3054" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3058, "EL3058" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3061, "EL3061" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3062, "EL3062" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3064, "EL3064" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3068, "EL3068" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3102, "EL3102" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3112, "EL3112" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3122, "EL3122" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3124, "EL3124" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3142, "EL3142" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3152, "EL3152" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3162, "EL3162" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3201, "EL3201" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3202, "EL3202" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3204, "EL3204" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3311, "EL3311" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3312, "EL3312" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3314, "EL3314" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3351, "EL3351" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3403, "EL3403" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3602, "EL3602" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3612, "EL3612" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4001, "EL4001" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4002, "EL4002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4004, "EL4004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4008, "EL4008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4011, "EL4011" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4012, "EL4012" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4014, "EL4014" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4018, "EL4018" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4021, "EL4021" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4022, "EL4022" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4024, "EL4024" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4028, "EL4028" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4031, "EL4031" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4032, "EL4032" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4034, "EL4034" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4038, "EL4038" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4102, "EL4102" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4112, "EL4112" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4114, "EL4114" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4122, "EL4122" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4132, "EL4132" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4134, "EL4134" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL5001, "EL5001" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL5101, "EL5101" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL5151, "EL5151" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL7031, "EL7031" },
	{ ESC_ESI_VENDORID_STOEBER,  ESC_ESI_PRODUCTCODE_STOEBER_XDS5000, "xDS5000" },
};

#endif /* _INCLUDE_EC_ESC_ID_H */
